proc catfile {parent child file title width height} {

	# Create the Window
	# =================

	set title $title

        # Create a toplevel window
	set w $parent.$child
	if [winfo exists $w] {
		wm deiconify $w
		return
	}
	toplevel $w
	wm title $w $title

	# Main Frame Container
	# ====================

	set wf $w.f
	frame $wf

	# Create a Title
	# ==============

#	set wtitle $wf.title
#	label $wtitle -text $title \
#	 -relief ridge -borderwidth 2
#	pack $wtitle -side top -pady 5

	# Create a Scrollable Text Widget to log infos
	# ============================================

	set wtext $wf.t
	frame $wtext -bd 2 -relief ridge
	set wlog [ScrolledText $wtext -width $width -height $height \
			-wrap word -setgrid true]

	# Frame for Buttons
	# =================

	set wbut $wf.but
	frame $wbut -bd 2 -relief sunken

	button $wbut.close -text "Close" -state normal -cursor {pirate} \
		 -command [list destroy $w]
	pack $wbut.close -side left

	# Pack the Main Frames
	# ====================

	pack $wtext -side top -pady 5
	pack $wbut -side bottom -padx 1m -pady 1m
	pack $wf -expand true -fill both

	center_window $w

	# Insert the file

	if [file exists $file] {
		$wlog delete 1.0 end
		$wlog insert end \
			[exec cat $file]
	} else {
		$wlog delete 1.0 end
		$wlog insert end "\tUnknown file : $file\n"
	}
}
